Skip to main content
PATCH
/
api
/
apps
/
beta
/
apps
/
{appId}
/
versions
/
{versionId}
Update App Version
curl --request PATCH \
  --url https://api.example.com/api/apps/beta/apps/{appId}/versions/{versionId} \
  --header 'Content-Type: application/json' \
  --header 'X-Domino-Api-Key: <api-key>' \
  --data '
{
  "description": "<string>",
  "dfsCommitId": "<string>",
  "entryScript": "<string>",
  "environmentId": "<string>",
  "environmentRevisionId": "<string>",
  "externalVolumeMountIds": [
    "<string>"
  ],
  "forceRestart": true,
  "hardwareTierId": "<string>",
  "netAppVolumeIds": [
    "<string>"
  ],
  "resolvedDfsCommitId": "<string>",
  "resolvedGitCommitId": "<string>",
  "resolvedImportedGitRepos": [
    {
      "ref": "<string>",
      "repoId": "<string>",
      "repoName": "<string>"
    }
  ],
  "resolvedImportedProjects": [
    {
      "commitId": "<string>",
      "directoryName": "<string>",
      "ownerId": "<string>",
      "projectId": "<string>",
      "projectName": "<string>",
      "release": "<string>"
    }
  ],
  "tags": [
    {
      "key": "<string>",
      "value": "<string>"
    }
  ],
  "vanityUrl": "<string>"
}
'
{
  "createdAt": 123,
  "environmentId": "<string>",
  "environmentRevisionId": "<string>",
  "extendedIdentityPropagationToAppsEnabled": true,
  "externalVolumeMountIds": [
    "<string>"
  ],
  "hardwareTierId": "<string>",
  "id": "<string>",
  "netAppVolumeIds": [
    "<string>"
  ],
  "tags": [
    {
      "key": "<string>",
      "value": "<string>"
    }
  ],
  "updatedAt": 123,
  "autoscalingSpecification": {
    "enabled": true,
    "maxReplicas": 15,
    "minReplicas": 15,
    "scaleDownStabilizationWindowSeconds": 1800,
    "scaleUpStabilizationWindowSeconds": 1800,
    "targetCpuAvgUtilizationPct": 50,
    "targetMemoryAvgUtilizationPct": 50,
    "useSessionAffinity": true
  },
  "bundleId": "<string>",
  "bundleName": "<string>",
  "currentInstance": {
    "createdAt": 123,
    "id": "<string>",
    "status": "<string>",
    "describeUrl": "<string>",
    "dfsCommitId": "<string>",
    "gitCommitId": "<string>"
  },
  "description": "<string>",
  "dfsCommitId": "<string>",
  "entryScript": "<string>",
  "gitRef": {
    "value": "<string>"
  },
  "publisher": {
    "id": "<string>",
    "name": "<string>"
  },
  "resolvedCommits": {
    "dfsCommitId": "<string>",
    "gitCommitId": "<string>",
    "importedGitRepos": [
      {
        "ref": "<string>",
        "repoId": "<string>",
        "repoName": "<string>"
      }
    ],
    "importedProjects": [
      {
        "commitId": "<string>",
        "directoryName": "<string>",
        "ownerId": "<string>",
        "projectId": "<string>",
        "projectName": "<string>",
        "release": "<string>"
      }
    ]
  },
  "vanityUrl": "<string>",
  "versionNumber": 123
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

appId
string
required

The id of the app to update a version for.

versionId
string
required

The id of the app version to update.

Body

application/json

Request to update an app version

Request body for updating an app version via PATCH. All fields are optional; omitted fields preserve existing values. The side effects of an update depend on which fields changed:

  • Reproducibility fields (dfsCommitId, gitRef, environmentId, environmentRevisionId, externalVolumeMountIds, netAppVolumeIds, entryScript, and the resolved* fields) create a new app version and stop the currently running instance.
  • Execution fields (hardwareTierId, autoscalingSpecification, vanityUrl) update the version in-place, stop the running instance, and restart from the same version. Setting forceRestart to true has the same effect.
  • Metadata fields (tags, description) are updated in-place without restarting.
autoscalingSpecification
object
description
string

Version description. Metadata field: updated in-place without restarting.

dfsCommitId
string

DFS commit ID. Reproducibility field: changing this creates a new version.

entryScript
string

Optional inline script to execute instead of the app's entry point. Reproducibility field: changing this creates a new version.

environmentId
string

Environment ID. Reproducibility field: changing this creates a new version.

environmentRevisionId
string

Environment revision ID. Reproducibility field: changing this creates a new version.

externalVolumeMountIds
string[]

External volume mount IDs. Reproducibility field: changing these creates a new version.

forceRestart
boolean

If true, forces a restart of the app version even if no fields require it.

gitRef
object
hardwareTierId
string

Hardware tier ID for the app version. Execution field: changing this triggers a restart.

netAppVolumeIds
string[]

NetApp volume IDs. Reproducibility field: changing these creates a new version.

resolvedDfsCommitId
string

Pre-resolved DFS commit ID. If provided, used for version comparison instead of resolving from dfsCommitId.

resolvedGitCommitId
string

Pre-resolved git commit SHA. If provided, used for version comparison instead of resolving from gitRef.

resolvedImportedGitRepos
object[]

Pre-resolved imported git repo snapshots. If provided, used for version comparison.

resolvedImportedProjects
object[]

Pre-resolved imported project snapshots. If provided, used for version comparison.

tags
object[]

Version tags. Metadata field: updated in-place without restarting.

vanityUrl
string

Vanity URL for the app. Execution field: changing this triggers a restart.

Response

Success

createdAt
number<epoch>
required
environmentId
string
required
environmentRevisionId
string
required
extendedIdentityPropagationToAppsEnabled
boolean
required
externalVolumeMountIds
string[]
required
hardwareTierId
string
required
id
string
required
netAppVolumeIds
string[]
required
tags
object[]
required
updatedAt
number<epoch>
required
autoscalingSpecification
object
bundleId
string

Guardrails bundle ID. Immutable after creation.

bundleName
string
currentInstance
object
description
string

Optional version description.

dfsCommitId
string

The original DFS commit ID specified when the version was created. May be null if not explicitly provided.

entryScript
string

Optional inline script to execute instead of the app's entry point. If provided, this script will take precedence over the entry point.

gitRef
object

The original git reference (e.g. branch name) specified when the version was created.

publisher
object
resolvedCommits
object

Commit and import snapshots resolved at version creation time, representing the actual values used for execution.

vanityUrl
string
versionNumber
integer<int64>